// ZipReader.java

import java.io.*;
import java.util.zip.*;

class ZipReader
{
   public static void main (String [] args)
   {
      if (args.length != 1)
      {
          System.out.println ("usage: java ZipReader pathname");
          return;
      }

      ZipInputStream zis = null;

      try
      {
          FileInputStream fis = new FileInputStream (args [0]);
          zis = new ZipInputStream (fis);

          ZipEntry ze;

          while ((ze = zis.getNextEntry ()) != null)
             System.out.println (ze.getName ());
      }
      catch (IOException e)
      {
          System.out.println (e.getMessage ());
      }
      finally
      {
          try
          {
              zis.close ();
          }
          catch (IOException e)
          {
          }
      }
   }
}
